-- full localization expected done in version 0.25

function GHI_LocalizeEN()
-- Bag buttons
GHI_NEW = "New Item";
GHI_NEW_1LETTER = "N";
GHI_EDIT = "Edit Item";
GHI_EDIT_1LETTER = "E";
GHI_COPY = "Copy Item";
GHI_COPY_1LETTER = "C";
GHI_HELP = "GHI Help, Info and Options.";
GHI_PRE = "Previous backpack.";
GHI_NE = "Next backpack.";

GHI_BAG = "GHI Backpack";
GHI_BAG_DRAG = "Shift click to drag.";

--	book
GHI_EDIT_TEXT = "Edit Text";
GHI_MARK_TEXT = "Mark Text";
GHI_VIEW_TEXT = "View Text";
GHI_UNDO_CHANGES = "Undo Changes";
GHI_EDIT_TITLE = "Edit Title";
GHI_DELETE_PAGE = "Delete Page";
GHI_INSERT_BEFORE = "Before This";
GHI_INSERT_AFTER = "After This";
GHI_INSERT_PAGE = "Insert Page:";
GHI_MATERIAL = "Material:";
GHI_PARCHMENT = "Parchment";
GHI_STONE = "Stone";
GHI_BRONZE = "Bronze";
GHI_MARBLE = "Marble";
GHI_SILVER = "Silver";
GHI_VALENTINE = "Valentine";
GHI_HEADLINE_1 = "Headline 1";
GHI_HEADLINE_2 = "Headline 2";
GHI_FRONT = "Font:";
GHI_H1 = "H1:";
GHI_H2 = "H2:";
GHI_NORMAL = "Normal:";
GHI_FONT_SIZE = "Font Size:";
GHI_INSERT_LINK = "Insert Link";
GHI_INSERT_LOGO = "Insert Logo";
GHI_LOGO = "Logo:";
GHI_ALLIGNMENT = "Alignment:";
GHI_LEFT = "Left";
GHI_INSERT = "Insert";
GHI_CLOSE = "Close";
GHI_TRANSCRIBE = "Transcribe to GHI";
GHI_NEW_TITLE = "New title";

GHI_TRANSCRIBED = "Transcribed";
GHI_LETTER = "Letter";
GHI_READ_LETTER = "Read the letter";
GHI_INSCRIPTION = "Inscription";
GHI_READ_INCRIPTION = "Read the inscription";
GHI_FROM = "From";

-- Binding Variables
BINDING_HEADER_GHI = "GHI";
BINDING_NAME_GHI_TOGGLE = "Toggle GHI bag";

-- Book
GHI_LOADED = "Gryphonheart Items loaded.";
GHI_MANUAL_CREATED = "GHI Manual created.";
GHI_IN_COMBAT_ERROR = "You can not do that while in combat.";
GHI_CONFIRM_DELETE_PAGE = "Delete this page?";
GHI_ENTER_PAGE_NUMBER = "Enter pagenumber to link to";
GHI_ENTER_LINK_TEXT = "Enter link text";

GHI_DISABLE_BUFF_QUESTION = "Exiting a vehicle while being in combat will result in lockdown of the UI. \nIt is recommanded to disable GHI buffs when using vehicles. Buffs can be enabled in the GHI options menu (press '?'). \nDo you want to disable buffs now (requires reload of UI)?";
GHI_DISABLE_BUFF_RELOAD = "Disabling buffs will first happend after you have reloaded the UI. Reload UI now?";
GHI_SEC = "Second";
GHI_SECS = "Seconds";
GHI_MIN = "Minute";
GHI_MINS = "Minutes";
GHI_HOUR = "Hour";
GHI_HOURS = "Hours";
GHI_DAY = "Day";
GHI_DAYS = "Days";

GHI_SPAM_LIMIT_REACHED = "GHI spam limit reached. Say and emote messages done with GHI will be blocked in up to one minute.";

--	Help Menu
GHI_HELP_TITLE = "GHI Help, Info and Options";
GHI_HELP_CREDITS = "By Pilus. Scarshield Legion - EU. \nhttp://www.pilus.info";
GHI_HELP_ADD_INFO = "Information, tips, updates, ideas and feedback \ncan be found and given on the forum: \nhttp://www.pilus.info/forum";
GHI_HELP_BACKPACK_ICON = "GHI Backpack Icon";
GHI_SCALE = "Scale:";
GHI_CENTER_ICON = "Center Icon";
GHI_DISABLE_BUFFS = "Disable Buffs";
GHI_SHOW_WARNING = "Show Warning When Entering a Vehicle";
GHI_BLOCK_STD_EMOTE = "Hide next std emote after emote with \"   \"";

-- Create item menu
GHI_CREATE_TITLE = "Create new GHI item";
GHI_GENERAL_ITEM_INFO = "General Item Info";
GHI_NAME = "Name:";
GHI_QUALITY = "Quality:";
GHI_ICON = "Icon:";
GHI_WHITE_TEXT_1 = "White text 1:";
GHI_WHITE_TEXT_2 = "White text 2:";
GHI_YELLOW_QUOTE = "Yellow quoted text:";
GHI_AMOUNT = "Amount:";
GHI_STACK_SIZE = "Stack Size:";
GHI_COPYABLE = "Copyable by others";
GHI_ITEM_DURATION = "Item duration:";
GHI_DURATION_WHEN_TRADED = "Start duration when traded";
GHI_USE_REAL_TIME = "Use real time, instead of played time for duration.";

GHI_RIGHT_CLICK = "Rightclick Actions";
GHI_DETAILS = "Details";
GHI_RUN_REQ = "Run When Req.";
GHI_RUN_ALWAYS = "Run Always";
GHI_IS_FORFILLED = "is forfilled";
GHI_BEFORE_REQ = "Before Req."
GHI_IS_NOT_FORFILLED = "is not forfilled"
GHI_NEW_RIGHT_CLICK = "New rightclick action:";
GHI_ADD_NEW = "Add New";
GHI_DELETE = "Delete";
GHI_EDIT = "Edit";
GHI_RIGHT_CLICK_HELP = "Choose the desired type of rigth click action and press add new, to add a new right click action. \nUse the \"run when requirement\" buttons to run an action when the requirement is forfilled, is not forfilled or to run it always.";
GHI_USE = "Use:";
GHI_ITEM_CD = "Item cooldown:";
GHI_CONSUMED = "Consumed";


GHI_ONE_TYPE_WARNING = "Each item can only have one of the right click action:"
GHI_GHR_WARNING = "You must have GHR and be a faction officer or higher rank to make an item that rewards reputation.";



-- right click actions
GHI_TYPE = "Type:";
GHI_TYPE_U = "Type";
GHI_DELAY = "Delay:";
GHI_TEXT = "Text:";

GHI_SAY = "Say";
GHI_EMOTE = "Emote";

GHI_EXPRESSION_TEXT = "Please enter the expression type, its text and eventual delay (in sec). \nWrite %L to insert a link of the item.";
GHI_EXPRESSION = "Expression";
GHI_EXPRESSIONS = "Expressions";
GHI_RANDOM_EXPRESSION = "Random Expression";
GHI_RANDOM_EXPRESSION_TEXT = "Please choose the expression types and enter their text. Each will be randomly chosen and run. Empty fields will be ignored.";
GHI_RANDOM_EXPRESSION_ALLOW_SAME = "Allow the same outcome twice in a row.";

GHI_SCRIPT = "Script";
GHI_SCRIPT_TEXT = "Scripts may consist of any lua code, except restricted functions. / commands is not allowed.";

-- 
GHI_BOOK = "Book";
GHI_TITLE = "Title:";
GHI_TITLE_TEXT = "Please enter enter a title above. Title and many more book related information can be changed later in the book edit menu.";

GHI_BUFF = "Buff";
GHI_BUFF_NAME = "Buff name:";
GHI_BUFF_DETAILS = "Buff details:";
GHI_BUFF_DURATION = "Buff duration:";
GHI_BUFF_UNTIL_CANCELED = "Last untill canceled";
GHI_BUFF_ON_SELF = "Always cast on self";
GHI_STACKABLE = "Stackable";
GHI_BUFF_DEBUFF = "Buff / Debuff:";
GHI_BUFF_TYPE = "Buff Type:";

GHI_SOUND = "Sound";
GHI_SOUNDFILEPATH = "Soundfile path:";
GHI_SOUND_EX = "Enter a sound filepath and a delay. \nE.g.   Sound\\Creature\\Murloc\\mMurlocAggroOld.wav ";

GHI_EQUIP_ITEM = "Equip Item";
GHI_ITEM_NAME = "Item Name:";

GHI_BAG = "Bag";
GHI_SLOTS = "Slots:";
GHI_TEXTURE = "Texture:";
GHI_NORMAL = "Normal";
GHI_BANK = "Bank";
GHI_KEYRING = "Keyring";

GHI_GHR = "GHR Reputation";
GHI_REP_WITH = "rep. with";
GHI_FACTION = "Faction:";

GHI_REQUIREMENT = "Requirement";
GHI_REQ_TYPE = "Requirement Type:";
GHI_REQ_FILTER = "Requirement filter:";
GHI_REQ_TOOLTIP = "Tooltip text (optional):";
GHI_REQ_TEXT1 = "In the Requirement filter you can enter either a single value/name, or multible values/names seperated by a comma. \nYou can also write intervals of numbers with a \"-\" and use \"+\" as an open interval.";
GHI_REQ_TEXT2 = "Example: Having \"Level\" as type and \"10-20,25,40-42,68+\" makes the requirement be forfilled if the players level is between 10 and 20, is 25, is between 40 and 42 or is above 68.";
GHI_REQ_TEXT3 = "Some types of requirement need to have multible things as information, those are seperated with a space.";
GHI_REQ_TEXT4 = "Example: Having \"Skill\" as type and \"Blacksmithing 120+\" will let the itep require above 120 in blackssmithing.";
GHI_REQ_TEXT5 = "If tooltip text is not left blank, it will be displayed as tooltip requirement instead of the standard, but if it is set to the text \"nil\", it will not display anything.";
GHI_REQ = {
["Name"] = "Name",
["Level"] = "Level",
["Zone"] = "Zone",
["SubZone"] = "SubZone",
["Guild"] = "Guild",
["Class"] = "Class",
["Race"] = "Race",
["Gender"] = "Gender",
["Normal Item"] = "Normal Item",
["Base Stats"] = "Base Stats",
["Skill"] = "Skill",
["Reputation"] = "Reputation",
["Honor Kills"] = "Honor Kills",
["Normal Buff"] = "Normal Buff",
["GHI Buff"] = "GHI Buff",
["LUA Statement"] = "LUA Statement"
};

GHI_TIME = "Time";
GHI_OUTPUT_TYPE = "Output type:";
GHI_TIME_FORMAT = "Time format:";
GHI_TIME_TEXT = "Please enter the output type, time format, its text and eventual delay (in sec). \nWrite TIME to in the text where the time should be inserted.";
GHI_GREEN_TEXT = "Green Text";
GHI_BLUE_TEXT = "Blue Text"

GHI_PRODUCE = "Produce Item";
GHI_OF = "of";
GHI_CHOOSE_ITEM = "Choose Item";
GHI_MESSAGE_TEXT = "Message:";
GHI_PRODUCE_TEXT = "Please enter the amount and text for reciving item. Select the item by pressing the \"Choose Item.\" button and select the decired item in your GHI bag.";
GHI_NOT_BY_YOU = " is not made by you.";





-- Export
GHI_CAN_NOT_EXPORT = "You can not export this item.";
GHI_EXPORT = "Export Item"
GHI_EXPORT_TEXT = "You can copy the code by marking it all (alt+a) and then press alt+c to copy it.\nYou can then paste it where you want to distribute it: On forums, over instant messengers to friends or on another character.";

GHI_CAN_NOT_PRODUCE_OFFICIAL = "You can not produce an official GHI item.";
GHI_CAN_NOT_PRODUCE_ITEM = "You can not produce the item.";


end

function GHI_LocEmpty()
	GHI_NEW = "x";
GHI_NEW_1LETTER = "x";
GHI_EDIT = "x";
GHI_EDIT_1LETTER = "x";
GHI_COPY = "x";
GHI_COPY_1LETTER = "x";
GHI_HELP = "x";
GHI_PRE = "x";
GHI_NE = "x";
GHI_BAG = "x";
GHI_BAG_DRAG = "x";--
GHI_EDIT_TEXT = "x";
GHI_MARK_TEXT = "x";
GHI_VIEW_TEXT = "x";
GHI_UNDO_CHANGES = "x";
GHI_EDIT_TITLE = "x";
GHI_DELETE_PAGE = "x";
GHI_INSERT_BEFORE = "x";
GHI_INSERT_AFTER = "x";
GHI_INSERT_PAGE = "x";
GHI_MATERIAL = "x";
GHI_PARCHMENT = "x";
GHI_STONE = "x";
GHI_BRONZE = "x";
GHI_MARBLE = "x";
GHI_SILVER = "x";
GHI_VALENTINE = "x";
GHI_HEADLINE_1 = "x";
GHI_HEADLINE_2 = "x";
GHI_FRONT = "x";
GHI_H1 = "x";
GHI_H2 = "x";
GHI_NORMAL = "x";
GHI_FONT_SIZE = "x";
GHI_INSERT_LINK = "x";
GHI_INSERT_LOGO = "x";
GHI_LOGO = "x";
GHI_ALLIGNMENT = "x";
GHI_LEFT = "x";
GHI_INSERT = "x";
GHI_CLOSE = "x";
GHI_TRANSCRIBE = "x";
GHI_NEW_TITLE = "x";--
BINDING_HEADER_GHI = "x";
BINDING_NAME_GHI_TOGGLE = "x";
GHI_LOADED = "x";
GHI_MANUAL_CREATED = "x";
GHI_IN_COMBAT_ERROR = "x";
GHI_CONFIRM_DELETE_PAGE = "x";
GHI_ENTER_PAGE_NUMBER = "x";
GHI_ENTER_LINK_TEXT = "x";
GHI_DISABLE_BUFF_QUESTION = "x";
GHI_DISABLE_BUFF_RELOAD = "x";
GHI_SEC = "x";
GHI_SECS = "x";
GHI_MIN = "x";
GHI_MINS = "x";
GHI_HOUR = "x";
GHI_HOURS = "x";
GHI_DAY = "x";
GHI_DAYS = "x";
GHI_SPAM_LIMIT_REACHED = "x";--
GHI_HELP_TITLE = "x";
GHI_HELP_CREDITS = "x";
GHI_HELP_ADD_INFO = "x";
GHI_HELP_BACKPACK_ICON = "x";
GHI_SCALE = "x";
GHI_CENTER_ICON = "x";
GHI_DISABLE_BUFFS = "x";
GHI_SHOW_WARNING = "x";
GHI_CREATE_TITLE = "x";
GHI_GENERAL_ITEM_INFO = "x";
GHI_NAME = "x";
GHI_QUALITY = "x";
GHI_ICON = "x";
GHI_WHITE_TEXT_1 = "x";
GHI_WHITE_TEXT_2 = "x";
GHI_YELLOW_QUOTE = "x";
GHI_AMOUNT = "x";
GHI_STACK_SIZE = "x";
GHI_COPYABLE = "x";
GHI_ITEM_DURATION = "x";
GHI_DURATION_WHEN_TRADED = "x";
GHI_USE_REAL_TIME = "x";
GHI_RIGHT_CLICK = "x";
GHI_DETAILS = "x";
GHI_RUN_REQ = "x";
GHI_RUN_ALWAYS = "x";
GHI_IS_FORFILLED = "x";
GHI_IS_NOT_FORFILLED = "x";
GHI_NEW_RIGHT_CLICK = "x";
GHI_ADD_NEW = "x";
GHI_DELETE = "x";
GHI_EDIT = "x";
GHI_RIGHT_CLICK_HELP = "x";
GHI_USE = "x";
GHI_ITEM_CD = "x";
GHI_ONE_TYPE_WARNING = "x";
GHI_GHR_WARNING = "x";
GHI_TYPE = "x";
GHI_TYPE_U = "x";
GHI_DELAY = "x";
GHI_TEXT = "x";
GHI_SAY = "x";
GHI_EMOTE = "x";
GHI_EXPRESSION_TEXT = "x";
GHI_EXPRESSION = "x";
GHI_EXPRESSIONS = "x";
GHI_RANDOM_EXPRESSION = "x";
GHI_RANDOM_EXPRESSION_TEXT = "x";
GHI_RANDOM_EXPRESSION_ALLOW_SAME = "x";
GHI_CONSUMED = "x";
GHI_SCRIPT = "x";
GHI_SCRIPT_TEXT = "x";

-- 
GHI_BOOK = "x";
GHI_TITLE = "x";
GHI_TITLE_TEXT = "x";

GHI_BUFF = "x";
GHI_BUFF_NAME = "x";
GHI_BUFF_DETAILS = "x";
GHI_BUFF_DURATION = "x";
GHI_BUFF_UNTIL_CANCELED = "x";
GHI_BUFF_ON_SELF = "x";
GHI_STACKABLE = "x";
GHI_BUFF_DEBUFF = "x";
GHI_BUFF_TYPE = "x";

GHI_SOUND = "x";
GHI_SOUNDFILEPATH = "x";
GHI_SOUND_EX = "x";

GHI_EQUIP_ITEM = "x";
GHI_ITEM_NAME  = "x";

GHI_BAG = "x";
GHI_SLOTS = "x";
GHI_TEXTURE = "x";
GHI_NORMAL = "x";
GHI_BANK = "x";
GHI_KEYRING = "x";

end


function GHI_Localize()
	
	GHI_LocalizeEN();
	
	local locale = GetLocale();
	if ( locale == "deDE" ) then
		--GHI_LocalizeDE();
	end
	
	--GHI_LocEmpty();
end

GHI_Localize(); ---  this file must be run as last localization file